View Issue Details

IDProjectCategoryView StatusLast Update
0002124SymmetricDSImprovementpublic2015-01-28 09:03
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.3Fixed in Version3.7.3 
Summary0002124: Support foreign keys in ddl builder for sqlite
DescriptionSupport foreign keys in ddl builder for sqlite. Sqlite only supports embedded foreign key syntax.

This is fine for table create, but when a fk is altered or removed embedded foreign keys don't work. The ddl builder needs to recognize that a table must be rebuilt.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 35a4ef9d

2015-01-21 15:49:35

chenson

Details Diff
0002124: Support foreign keys in ddl builder for sqlite
0002124
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/ForeignKey.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlBuilder.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/sqlite/SqliteDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-01-07 14:34 chenson New Issue
2015-01-13 14:45 chenson Target Version 3.7.1 =>
2015-01-21 15:50 chenson Fixed in Version => 3.7.3
2015-01-21 15:50 chenson Target Version => 3.7.3
2015-01-21 15:50 chenson Status new => resolved
2015-01-21 15:50 chenson Resolution open => fixed
2015-01-21 15:50 chenson Assigned To => chenson
2015-01-21 16:00 chenson Changeset attached => SymmetricDS trunk r9302
2015-01-28 09:03 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 35a4ef9d